{
  "name": "@gitlab/ui",
  "version": "1.13.1",
  "description": "GitLab UI Components",
  "license": "MIT",
  "main": "dist/index.js",
  "repository": "git@gitlab.com:gitlab-org/gitlab-ui.git",
  "author": "GitLab",
  "private": false,
  "scripts": {
    "build": "rollup -c",
    "clean": "rm -r dist storybook",
    "storybook": "start-storybook -p 9001 -c .storybook",
    "storybook-static": "build-storybook -c .storybook -o storybook",
    "test": "NODE_ENV=test yarn run storybook-static && jest",
    "lint": "eslint --ext .js,.vue ."
  },
  "dependencies": {
    "babel-standalone": "^6.26.0",
    "bootstrap-vue": "^2.0.0-rc.11",
    "copy-to-clipboard": "^3.0.8",
    "highlight.js": "^9.13.1",
    "js-beautify": "^1.8.8",
    "lodash": "^4.17.11",
    "url-search-params-polyfill": "^5.0.0",
    "vue": "^2.5.16",
    "vue-loader": "^15.4.2"
  },
  "devDependencies": {
    "@gitlab/eslint-config": "^1.1.0",
    "@semantic-release/git": "^7.0.1",
    "@semantic-release/gitlab": "^2.1.4",
    "@semantic-release/npm": "^4.0.1",
    "@storybook/addon-knobs": "^4.0.0-alpha.16",
    "@storybook/addon-options": "^4.0.0-alpha.16",
    "@storybook/addon-storyshots": "^4.0.0-alpha.16",
    "@storybook/addon-storyshots-puppeteer": "^4.0.0-alpha.16",
    "@storybook/vue": "^4.0.0-alpha.16",
    "@vue/test-utils": "^1.0.0-beta.20",
    "babel-core": "^6.26.3",
    "babel-eslint": "^8.2.6",
    "babel-jest": "^23.2.0",
    "babel-plugin-require-context-hook": "^1.0.0",
    "babel-preset-env": "^1.7.0",
    "eslint": "^5.6.1",
    "eslint-plugin-jest": "^21.24.1",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^23.2.0",
    "jest-serializer-vue": "^2.0.2",
    "markdown-loader-jest": "^0.1.1",
    "moment": "^2.22.2",
    "node-sass": "^4.9.4",
    "nodemon": "^1.11.0",
    "prettier": "1.14.3",
    "puppeteer": "^1.5.0",
    "raw-loader": "^0.5.1",
    "rollup": "^0.63.0",
    "rollup-plugin-babel": "^3.0.7",
    "rollup-plugin-css-porter": "^0.1.2",
    "rollup-plugin-node-resolve": "^3.3.0",
    "rollup-plugin-string": "^2.0.2",
    "rollup-plugin-vue": "^4.3.1",
    "sass-loader": "^7.1.0",
    "semantic-release": "15",
    "storybook-readme": "^4.0.0-beta1",
    "vue-jest": "^2.6.0",
    "vue-template-compiler": "^2.5.16"
  },
  "jest": {
    "verbose": true,
    "moduleFileExtensions": [
      "js",
      "json",
      "vue"
    ],
    "moduleNameMapper": {
      "^@/(.*)$": "<rootDir>/components/$1",
      "\\.(css|less)$": "identity-obj-proxy"
    },
    "transform": {
      "^.+\\.js$": "babel-jest",
      ".*\\.example.(vue)$": "vue-jest",
      ".*\\.(vue)$": "vue-jest",
      "^.+\\.md?$": "markdown-loader-jest"
    },
    "transformIgnorePatterns": [
      "/node_modules(?![\\\\/]bootstrap-vue[\\\\/]|(/@storybook/.*\\.vue$))/"
    ],
    "snapshotSerializers": [
      "<rootDir>/node_modules/jest-serializer-vue"
    ]
  },
  "babel": {
    "presets": [
      [
        "env",
        {
          "modules": false,
          "targets": {
            "ie": "11"
          }
        }
      ]
    ],
    "env": {
      "test": {
        "presets": [
          [
            "env",
            {
              "targets": {
                "node": "current"
              }
            }
          ]
        ],
        "plugins": [
          "require-context-hook"
        ]
      }
    }
  },
  "release": {
    "verifyConditions": [
      "@semantic-release/npm",
      "@semantic-release/git",
      "@semantic-release/gitlab"
    ],
    "prepare": [
      "@semantic-release/npm",
      "@semantic-release/git"
    ],
    "publish": [
      "@semantic-release/npm",
      "@semantic-release/gitlab"
    ],
    "success": false,
    "fail": false
  }
}
